jena-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Jena_Development_Test #1311
Date Fri, 27 Jun 2014 03:04:46 GMT
See <https://builds.apache.org/job/Jena_Development_Test/1311/changes>

Changes:

[bimargulies] JENA-731 JENA-732: make target for sources configurable, change default to add
'/jena', and add the directory as a source root.

------------------------------------------
[...truncated 12758 lines...]
  +-org.apache.maven:maven-plugin-api:3.1.1
    +-org.apache.maven:maven-model:3.1.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-settings:2.2.1
      +-org.apache.maven:maven-model:2.2.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-profile:2.2.1
      +-org.apache.maven:maven-model:2.2.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-model:2.2.1

[WARNING] 
Dependency convergence error for junit:junit:4.8.1 paths to dependency are:
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-junit:junit:4.8.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.codehaus.plexus:plexus-container-default:1.0-alpha-9-stable-1
      +-junit:junit:4.11

[WARNING] 
Dependency convergence error for org.codehaus.plexus:plexus-utils:3.0.15 paths to dependency
are:
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.codehaus.plexus:plexus-utils:3.0.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-settings:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-profile:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.apache.maven:maven-repository-metadata:2.2.1
        +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.apache.maven.wagon:wagon-provider-api:1.0-beta-6
        +-org.codehaus.plexus:plexus-utils:1.4.2
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-plugin-registry:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.codehaus.plexus:plexus-container-default:1.0-alpha-9-stable-1
      +-org.codehaus.plexus:plexus-utils:1.0.4

[WARNING] 
Dependency convergence error for org.apache.maven:maven-artifact:3.0 paths to dependency are:
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven.plugin-tools:maven-plugin-annotations:3.2
    +-org.apache.maven:maven-artifact:3.0
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-plugin-api:3.1.1
    +-org.apache.maven:maven-artifact:3.0
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.apache.maven:maven-artifact:2.2.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact:2.2.1

[WARNING] Rule 2: org.apache.maven.plugins.enforcer.DependencyConvergence failed with message:
Failed while enforcing releasability the error(s) are [
Dependency convergence error for org.apache.maven:maven-model:3.1.1 paths to dependency are:
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-plugin-api:3.1.1
    +-org.apache.maven:maven-model:3.1.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-settings:2.2.1
      +-org.apache.maven:maven-model:2.2.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-profile:2.2.1
      +-org.apache.maven:maven-model:2.2.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-model:2.2.1
, 
Dependency convergence error for junit:junit:4.8.1 paths to dependency are:
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-junit:junit:4.8.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.codehaus.plexus:plexus-container-default:1.0-alpha-9-stable-1
      +-junit:junit:4.11
, 
Dependency convergence error for org.codehaus.plexus:plexus-utils:3.0.15 paths to dependency
are:
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.codehaus.plexus:plexus-utils:3.0.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-settings:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-profile:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.apache.maven:maven-repository-metadata:2.2.1
        +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.apache.maven.wagon:wagon-provider-api:1.0-beta-6
        +-org.codehaus.plexus:plexus-utils:1.4.2
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-plugin-registry:2.2.1
      +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.codehaus.plexus:plexus-utils:1.5.15
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.codehaus.plexus:plexus-container-default:1.0-alpha-9-stable-1
      +-org.codehaus.plexus:plexus-utils:1.0.4
, 
Dependency convergence error for org.apache.maven:maven-artifact:3.0 paths to dependency are:
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven.plugin-tools:maven-plugin-annotations:3.2
    +-org.apache.maven:maven-artifact:3.0
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-plugin-api:3.1.1
    +-org.apache.maven:maven-artifact:3.0
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact-manager:2.2.1
      +-org.apache.maven:maven-artifact:2.2.1
and
+-org.apache.jena:jena-maven-tools:0.6-SNAPSHOT
  +-org.apache.maven:maven-project:2.2.1
    +-org.apache.maven:maven-artifact:2.2.1
]
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled
[JENKINS] Archiving disabled[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] Apache Jena - Parent .............................. SUCCESS [26.673s]
[INFO] Apache Jena - IRI ................................. SUCCESS [15.460s]
[INFO] Apache Jena - Core ................................ SUCCESS [50.591s]
[INFO] Apache Jena - ARQ (SPARQL 1.1 Query Engine) ....... SUCCESS [53.499s]
[INFO] Apache Jena - TDB (Native Triple Store) ........... SUCCESS [2:26.354s]
[INFO] Apache Jena - Libraries POM ....................... SUCCESS [2.771s]
[INFO] Apache Jena - SPARQL Text Search .................. SUCCESS [14.541s]
[INFO] Apache Jena - SPARQL Spatial Search ............... SUCCESS [21.404s]
[INFO] Apache Jena - SDB (SQL based triple store) ........ SUCCESS [59.071s]
[INFO] Apache Jena - Fuseki (SPARQL 1.1 Server) .......... SUCCESS [8.953s]
[INFO] Apache Jena - Security ............................ SUCCESS [36.215s]
[INFO] Apache Jena - JDBC Parent ......................... SUCCESS [2.408s]
[INFO] Apache Jena - JDBC Core API ....................... SUCCESS [5.247s]
[INFO] Apache Jena - JDBC Remote Endpoint Driver ......... SUCCESS [19.738s]
[INFO] Apache Jena - JDBC In-Memory Driver ............... SUCCESS [12.449s]
[INFO] Apache Jena - JDBC TDB Driver ..................... SUCCESS [5:51.558s]
[INFO] Apache Jena - JDBC Driver Bundle .................. SUCCESS [2.830s]
[INFO] Apache Jena - Maven Plugins, including schemagen .. FAILURE [0.964s]
[INFO] Apache Jena - Distribution ........................ SKIPPED
[INFO] Apache Jena ....................................... SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 14:19.413s
[INFO] Finished at: Fri Jun 27 03:04:25 UTC 2014

[INFO] Final Memory: 64M/446M
[INFO] ------------------------------------------------------------------------
Waiting for Jenkins to finish collecting data
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-enforcer-plugin:1.3.1:enforce
(enforce) on project jena-maven-tools: Some Enforcer rules have failed. Look above for specific
messages explaining why the rule failed. -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following
articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <goals> -rf :jena-maven-tools
Sending e-mails to: commits@jena.apache.org
channel stopped

Mime
View raw message